NestMembers (Apache Commons BCEL 6.4.1 API)

org.apache.bcel.classfile

## Class NestMembers

- java.lang.Object
- - org.apache.bcel.classfile.Attribute
  - - org.apache.bcel.classfile.NestMembers

- All Implemented Interfaces:
    Cloneable, Node

      public final class NestMembers
      extends Attribute

  This class is derived from Attribute and records the classes and interfaces that are authorized to claim membership in the nest hosted by the current class or interface. There may be at most one NestMembers attribute in a ClassFile structure.
  See Also:
    `Attribute`

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.Attribute

      `constant_pool, length, name_index, tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NestMembers(int name_index, int length, int[] classes, ConstantPool constant_pool)`
    `NestMembers(NestMembers c)` Initialize from another object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
    `Attribute` | `copy(ConstantPool _constant_pool)`
    `void` | `dump(DataOutputStream file)` Dump NestMembers attribute to file stream in binary format.
    `int[]` | `getClasses()`
    `String[]` | `getClassNames()`
    `int` | `getNumberClasses()`
    `void` | `setClasses(int[] classes)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.bcel.classfile.Attribute

      `addAttributeReader, addAttributeReader, clone, getConstantPool, getLength, getName, getNameIndex, getTag, println, readAttribute, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NestMembers

          public NestMembers(NestMembers c)

      Initialize from another object. Note that both objects use the same references (shallow copy). Use copy() for a physical copy.

    - #### NestMembers

          public NestMembers(int name_index,
                             int length,
                             int[] classes,
                             ConstantPool constant_pool)

      Parameters:
        `name_index` - Index in constant pool
        `length` - Content length in bytes
        `classes` - Table of indices in constant pool
        `constant_pool` - Array of constants

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Specified by:
        `accept` in class `Attribute`
      Parameters:
        `v` - Visitor object

    - #### dump

          public void dump(DataOutputStream file)
                    throws IOException

      Dump NestMembers attribute to file stream in binary format.
      Overrides:
        `dump` in class `Attribute`
      Parameters:
        `file` - Output file stream
      Throws:
        `IOException`

    - #### getClasses

          public int[] getClasses()

      Returns:
        array of indices into constant pool of class names.

    - #### getNumberClasses

          public int getNumberClasses()

      Returns:
        Length of classes table.

    - #### getClassNames

          public String[] getClassNames()

      Returns:
        string array of class names

    - #### setClasses

          public void setClasses(int[] classes)

      Parameters:
        `classes` - the list of class indexes Also redefines number_of_classes according to table length.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Attribute`
      Returns:
        String representation, i.e., a list of classes.

    - #### copy

          public Attribute copy(ConstantPool _constant_pool)

      Specified by:
        `copy` in class `Attribute`
      Returns:
        deep copy of this attribute

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.